spandsp 0.0.6

nsf_data_t Struct Reference

## Public Attributes
const char * | vendor_id
int | vendor_id_len
const char * | vendor_name
int | inverse_station_id_order
const model_data_t * | known_models

## Detailed Description

NSF pattern for identifying the manufacturer of a FAX machine

## Member Data Documentation

## ◆ inverse_station_id_order

int nsf_data_t::inverse_station_id_order

TRUE if the station ID for this vendor is reversed

## ◆ known_models

const model_data_t* nsf_data_t::known_models

A pointer to a list of known models from this vendor

Referenced by t35_decode().

## ◆ vendor_id

const char* nsf_data_t::vendor_id

The vendor ID byte string

## ◆ vendor_id_len

int nsf_data_t::vendor_id_len

The length of the vendor ID byte string

Referenced by t35_decode().

## ◆ vendor_name

const char* nsf_data_t::vendor_name

The vendor's name

Referenced by t35_decode().

The documentation for this struct was generated from the following file:

- t35.c